#
#  File: horde.spec
#  $Author: bjn $
#  $Revision: 1.1.2.3 $
#  $Date: 2000/05/30 16:11:07 $
#
#  This is the SPEC file for the Horde RPM/SRPM
#

Summary: The common Horde Framework for all Horde modules.
Name: horde
# Hopefully this dash-vs-underscore hack can go away after pre:
Version: 1.2.0_pre12
%define dashversion 1.2.0-pre12
Release: 1
Copyright: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/imp/tarballs/horde-%{dashversion}.tar.gz
URL: http://www.horde.org/
Packager: Brent J. Nordquist <brent-nordquist@bethel.edu>
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
Prefix: /home/httpd/html
Requires: php >= 3.0.16
Requires: php_database
Requires: apache >= 1.3.12
Prereq: /usr/bin/perl

%description
The Horde Framework provides a common structure and interface for Horde
modules (such as IMP, a web-based mail program).  This RPM is required
for all other Horde module RPMS.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{dashversion}

%build
perl -pi -e 's/^#// if (/To use an SQL database/../To use shared memory/);' phplib/local.inc
perl -pi -e "s/'.*';/'hordemgr';/ if (/var\\s+\\\$(User|Password)\\s+=/);" phplib/local.inc
# bootstrap for -pre12:
[ -f packaging/redhat/horde.conf ] || cat <<_EOF_ >packaging/redhat/horde.conf
<Directory /home/httpd/html/horde>
    Options Indexes FollowSymLinks
    AllowOverride None
    order allow,deny
    allow from all
    php3_include_path '.:/home/httpd/php'
    php3_auto_prepend_file /home/httpd/php/prepend.php3
    php3_magic_quotes_gpc Off
    php3_track_vars On
</Directory>
<Directory "/home/httpd/html/horde/config">
    order deny,allow
    deny from all
</Directory>
_EOF_

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
cp -p packaging/redhat/horde.conf $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/horde
cp -pR * $RPM_BUILD_ROOT/home/httpd/html/horde
cd $RPM_BUILD_ROOT/home/httpd/html/horde
mv phplib ../../php
sh install.sh
sh secure.sh

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post
perl -pi -e 's/$/ index.php3/ if (/DirectoryIndex\s.*index\.html/ && !/index\.php3/);' /etc/httpd/conf/httpd.conf
grep -i 'Include.*horde.conf$' /etc/httpd/conf/httpd.conf >/dev/null 2>&1
if [ $? -eq 0 ]; then
	perl -pi -e 's/^#+// if (/Include.*horde.conf$/i);' /etc/httpd/conf/httpd.conf
else
	echo "Include /etc/httpd/conf/horde.conf" >>/etc/httpd/conf/httpd.conf
fi
cat <<_EOF2_

IMPORTANT:  You must now create the Horde database tables, and restart
your Apache server.  The following commands will do this:

# mysql -p </home/httpd/html/horde/scripts/database/mysql_create.sql
# mysqladmin -p reload
# /etc/rc.d/init.d/httpd restart

For more information on creating the database tables, please consult
/home/httpd/html/horde/docs/DATABASE.

_EOF2_

%preun

%postun
perl -pi -e 's/^/#/ if (/^Include.*horde.conf$/i);' /etc/httpd/conf/httpd.conf

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir /home/httpd/html/horde
# Include top-level files by hand
/home/httpd/html/horde/*.php3
/home/httpd/html/horde/*.sh
# Include these dirs so that all files _will_ get sucked in
/home/httpd/html/horde/graphics
/home/httpd/html/horde/lib
/home/httpd/html/horde/locale
/home/httpd/html/horde/scripts
/home/httpd/html/horde/templates
# Include phplib directory; local.inc is a %config file
%dir /home/httpd/php
/home/httpd/php/[0-9_A-Za-km-z]*
%config /home/httpd/php/local.inc
# Mark documentation files with %doc and %docdir
%doc /home/httpd/html/horde/COPYING
%doc /home/httpd/html/horde/README
%docdir /home/httpd/html/horde/docs
/home/httpd/html/horde/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(550,nobody,nobody) %dir /home/httpd/html/horde/config
/home/httpd/html/horde/config/*.dist
%defattr(440,nobody,nobody)
%config /home/httpd/html/horde/config/*.html
%config /home/httpd/html/horde/config/*.php3
%config /home/httpd/html/horde/config/*.txt
# Apache horde.conf file
%config /etc/httpd/conf/horde.conf

%changelog
* Tue May 30 2000 Brent J. Nordquist <brent-nordquist@bethel.edu>
- 1.2.0-pre12 release 1:
- RPM sets %{version} and %{release}; don't need to %define them manually
- reworded Summary and %description
- hack around version "1.2.0-pre12" for now (RPM version can't have a dash)
- new Source: location on ftp.horde.org
- added URL: and Packager:
- no Provides: Horde (modules will rely on "horde" RPM)
- added Requires: for PHP and Apache
- %build: preconfigure local.inc for most common case
- %install: copy with -p to preserve timestamps
- /etc/httpd/conf/horde.conf Horde Apache config (Include'd from httpd.conf)
- don't remove build root in %post; that runs after RPM installation
- print message after RPM install:  create database tables, restart Apache
- documentation now marked with %doc tag (goes to /usr/doc)
- config files now marked with %config tag (preserved on upgrade/uninstall)
- secure permissions for config directory (local users can't snoop)
- other minor style changes

* Mon Aug 02 1999 Dale Lovelace <dale@redhat.com>
- up to 1.0.10

* Fri Jul 09 1999 Dale Lovelace <dale@redhat.com>
- up to 1.0.9

* Thu Jul 08 1999 Dale Lovelace <dale@redhat.com>
- Up to 1.0.8
- Clean up build root

* Mon May 24 1999 Dale Lovelace <dale@redhat.com>
- Take out my wacky HORDE/config/modules file
- Made the RPM noarch
- added %defattr(-,nobody,nobody)

* Tue May 18 1999 Dale Lovelace <dale@redhat.com>
- Add new Summary: and %description from Mike Hardy <mike@itsprojects.com>

* Tue May 04 1999 Dale Lovelace <dale@redhat.com>
- Make relocatable prefix=/home/httpd/html
- Run install.sh to set perm's etc.
- Add horde/config dir files as %config

* Fri Apr 30 1999 Dale Lovelace <dale@redhat.com> 
- Build first RPM

